.has-modal-open
  .admin-bar
  .is-menu-open
  .wp-block-navigation__responsive-dialog {
  margin-top: 0px;
}

.sticky .sm-menu-top-navigation {
  display: none;
}

/* Main navigation */
.wp-block-navigation .wp-block-navigation-item {
  padding: calc(var(--wp--preset--spacing--10) * 0.5) var(--wp--preset--spacing--10) !important;
}

.wp-block-navigation .wp-block-navigation-item.has-child {
  cursor: pointer;
}

.wp-block-navigation .wp-block-navigation-item:not(.has-child) > a:hover {
  color: var(--wp--preset--color--links);
}

.wp-block-navigation > .wp-block-navigation-item:hover > a,
.wp-block-navigation
  > .wp-block-navigation-item:hover
  > .wp-block-navigation__submenu-icon {
  color: var(--wp--preset--color--links);
}

.wp-block-navigation .wp-block-navigation__submenu-container {
  border-top: var(--wp--preset--spacing--20) solid
    var(--wp--preset--color--white);
  box-shadow: 4px var(--wp--preset--spacing--20) 8px -8px #0008;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
}

.wp-block-navigation:not(.has-background)
  .wp-block-navigation__submenu-container {
  background-color: var(--wp--preset--color--broken-white) !important;
}

.wp-block-navigation-submenu .wp-block-navigation-item {
  padding: var(--wp--preset--spacing--10) var(--wp--preset--spacing--10) !important;
}

.wp-block-navigation .wp-block-navigation__submenu-icon {
  transform: translateY(-0.1em);
  margin-left: 0.35em;
}

.wp-block-navigation .wp-block-navigation-submenu:hover .wp-block-navigation__submenu-icon {
  transform: rotate(-179deg);
}

/* Responsive */
.wp-block-navigation__responsive-container .wp-block-navigation__container {
  width: 100%;
}

.wp-block-navigation__responsive-container
  .wp-block-navigation__container
  .wp-block-navigation-item {
  width: 100%;
}

.wp-block-navigation__responsive-container.is-menu-open
  .wp-block-navigation__responsive-container-content
  .has-child
  .wp-block-navigation__submenu-container {
  box-shadow: none;
  border: none;
  background: var(--wp--preset--color--broken-white) !important;
  width: 100vw;
  margin: 0 calc(50% - 50vw);
  border-radius: 0;
  padding: 1em calc(50vw - 50%);
}

.wp-block-navigation__responsive-container
  .wp-block-navigation-submenu:not(.is-open)
  .wp-block-navigation__submenu-container {
  display: none;
}

.wp-block-navigation__responsive-container.is-menu-open
  .wp-block-navigation__responsive-container-content
  .wp-block-navigation__submenu-icon {
  display: inline-block;
  align-self: end;
  transform: translateY(-0.75em);
}

.wp-block-navigation__responsive-container.is-menu-open
  .wp-block-navigation__responsive-container-content
  .wp-block-navigation-submenu.is-open
  .wp-block-navigation__submenu-icon {
  transform: translateY(-0.65em) rotate(-179deg);
}
